"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const typescript_1 = __importDefault(require("typescript"));
const flags = {
    const: typescript_1.default.NodeFlags.Const,
};
const create = ({ factory }) => (params) => {
    const node = factory.createVariableDeclarationList(params.declarations, flags[params.flag]);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: exports.create(context),
    };
};
exports.make = make;
//# sourceMappingURL=VariableDeclarationList.js.map