"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const BinaryExpression = __importStar(require("./BinaryExpression"));
const Block = __importStar(require("./Block"));
const CallExpression = __importStar(require("./CallExpression"));
const ClassDeclaration = __importStar(require("./ClassDeclaration"));
const ConstructorDeclaration = __importStar(require("./ConstructorDeclaration"));
const ElementAccessExpression = __importStar(require("./ElementAccessExpression"));
const FunctionTypeNode = __importStar(require("./FunctionTypeNode"));
const Identifier = __importStar(require("./Identifier"));
const IndexedAccessTypeNode = __importStar(require("./IndexedAccessTypeNode"));
const IndexSignatureDeclaration = __importStar(require("./IndexSignatureDeclaration"));
const InterfaceDeclaration = __importStar(require("./InterfaceDeclaration"));
const IntersectionTypeNode = __importStar(require("./IntersectionTypeNode"));
const LiteralTypeNode = __importStar(require("./LiteralTypeNode"));
const MethodDeclaration = __importStar(require("./MethodDeclaration"));
const Namespace = __importStar(require("./Namespace"));
const NoSubstitutionTemplateLiteral = __importStar(require("./NoSubstitutionTemplateLiteral"));
const ObjectLiteralExpression = __importStar(require("./ObjectLiteralExpression"));
const ParameterDeclaration = __importStar(require("./ParameterDeclaration"));
const PropertyAccessExpression = __importStar(require("./PropertyAccessExpression"));
const PropertyAssignment = __importStar(require("./PropertyAssignment"));
const PropertySignature = __importStar(require("./PropertySignature"));
const ReturnStatement = __importStar(require("./ReturnStatement"));
const StringLiteral = __importStar(require("./StringLiteral"));
const TemplateExpression = __importStar(require("./TemplateExpression"));
const TemplateHead = __importStar(require("./TemplateHead"));
const TemplateMiddle = __importStar(require("./TemplateMiddle"));
const TemplateSpan = __importStar(require("./TemplateSpan"));
const TemplateTail = __importStar(require("./TemplateTail"));
const TypeAliasDeclaration = __importStar(require("./TypeAliasDeclaration"));
const TypeLiteralNode = __importStar(require("./TypeLiteralNode"));
const TypeNode = __importStar(require("./TypeNode"));
const TypeOperatorNode = __importStar(require("./TypeOperatorNode"));
const TypeParameterDeclaration = __importStar(require("./TypeParameterDeclaration"));
const TypeReferenceNode = __importStar(require("./TypeReferenceNode"));
const UnionTypeNode = __importStar(require("./UnionTypeNode"));
const VariableDeclaration = __importStar(require("./VariableDeclaration"));
const VariableDeclarationList = __importStar(require("./VariableDeclarationList"));
const VariableStatement = __importStar(require("./VariableStatement"));
const create = (context) => {
    return {
        Block: Block.make(context),
        ClassDeclaration: ClassDeclaration.make(context),
        ParameterDeclaration: ParameterDeclaration.make(context),
        InterfaceDeclaration: InterfaceDeclaration.make(context),
        IndexedAccessTypeNode: IndexedAccessTypeNode.make(context),
        Namespace: Namespace.make(context),
        PropertySignature: PropertySignature.make(context),
        TypeAliasDeclaration: TypeAliasDeclaration.make(context),
        TypeNode: TypeNode.make(context),
        LiteralTypeNode: LiteralTypeNode.make(context),
        IndexSignatureDeclaration: IndexSignatureDeclaration.make(context),
        UnionTypeNode: UnionTypeNode.make(context),
        IntersectionTypeNode: IntersectionTypeNode.make(context),
        TypeReferenceNode: TypeReferenceNode.make(context),
        TypeParameterDeclaration: TypeParameterDeclaration.make(context),
        TypeOperatorNode: TypeOperatorNode.make(context),
        MethodDeclaration: MethodDeclaration.make(context),
        ConstructorDeclaration: ConstructorDeclaration.make(context),
        ReturnStatement: ReturnStatement.make(context),
        VariableDeclaration: VariableDeclaration.make(context),
        VariableDeclarationList: VariableDeclarationList.make(context),
        VariableStatement: VariableStatement.make(context),
        BinaryExpression: BinaryExpression.make(context),
        PropertyAccessExpression: PropertyAccessExpression.make(context),
        NoSubstitutionTemplateLiteral: NoSubstitutionTemplateLiteral.make(context),
        TemplateSpan: TemplateSpan.make(context),
        TemplateExpression: TemplateExpression.make(context),
        TemplateHead: TemplateHead.make(context),
        TemplateMiddle: TemplateMiddle.make(context),
        TemplateTail: TemplateTail.make(context),
        Identifier: Identifier.make(context),
        PropertyAssignment: PropertyAssignment.make(context),
        ObjectLiteralExpression: ObjectLiteralExpression.make(context),
        ElementAccessExpression: ElementAccessExpression.make(context),
        CallExpression: CallExpression.make(context),
        StringLiteral: StringLiteral.make(context),
        FunctionTypeNode: FunctionTypeNode.make(context),
        TypeLiteralNode: TypeLiteralNode.make(context),
    };
};
exports.create = create;
//# sourceMappingURL=index.js.map