import ts from "typescript";
declare const operators: {
    readonly "+": ts.SyntaxKind.PlusToken;
};
export interface Params {
    left: ts.Expression;
    operator: keyof typeof operators;
    right: ts.Expression;
}
export interface Factory {
    create: (params: Params) => ts.BinaryExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
export {};
