import ts from "typescript";
export interface Params$Create {
    expression: ts.Expression;
    typeArguments?: readonly ts.TypeNode[] | undefined;
    argumentsArray: readonly ts.Expression[];
}
export interface Factory {
    create: (params: Params$Create) => ts.CallExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
