import ts from "typescript";
export interface Params$Create {
    name: string;
    export?: true;
    members: readonly ts.ClassElement[];
    typeParameterDeclaration: readonly ts.TypeParameterDeclaration[];
}
export interface Factory {
    create: (params: Params$Create) => ts.ClassDeclaration;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
