import ts from "typescript";
export interface Params$Create {
    parameters?: ts.ParameterDeclaration[];
    body?: ts.Block;
}
export interface Factory {
    create: (params: Params$Create) => ts.ConstructorDeclaration;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
