import ts from "typescript";
export interface Params$Create {
    expression: ts.Expression;
    index: number | string | ts.Expression;
}
export interface Factory {
    create: (params: Params$Create) => ts.ElementAccessExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
