import ts from "typescript";
export interface Params {
    name: string;
    optional: boolean;
    type: ts.TypeNode;
    comment?: string;
}
export interface Factory {
    create: (params: Params) => ts.PropertySignature;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
