import ts from "typescript";
export interface Params {
    typeNodes: ts.TypeNode[];
}
export interface Factory {
    create: (params: Params) => ts.UnionTypeNode;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
