import ts from "typescript";
import * as ConverterContext from "./ConverterContext";
import { Store } from "./store";
import { CodeGeneratorParams } from "./types";
export interface Option {
    sync: boolean;
}
export declare type RewriteCodeAfterTypeDeclaration = (context: ts.TransformationContext, codeGeneratorParamsList: CodeGeneratorParams[], codeGenerateOption: Option) => ts.Statement[];
export declare const generateApiClientCode: (store: Store.Type, context: ts.TransformationContext, converterContext: ConverterContext.Types, rewriteCodeAfterTypeDeclaration: RewriteCodeAfterTypeDeclaration, allowOperationIds: string[] | undefined, option: Option) => void;
