import ts from "typescript";
import { Factory } from "../../../CodeGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
export declare const generatePropertySignature: (entryPoint: string, currentPoint: string, factory: Factory.Type, protocol: string, schema: OpenApi.Schema, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.PropertySignature;
export declare const generatePropertySignatures: (entryPoint: string, currentPoint: string, factory: Factory.Type, content: Record<string, OpenApi.MediaType>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.PropertySignature[];
export declare const generateInterface: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, content: Record<string, OpenApi.MediaType>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.InterfaceDeclaration;
