import ts from "typescript";
import { Factory } from "../../CodeGenerator";
import type { CodeGenerator, CodeGeneratorParams } from "../../Converter/v3";
import * as MethodBody from "./MethodBody";
export { MethodBody };
/**
 *
 * public async {functionName}(params: {argumentParamsTypeDeclaration}<{RequestContentType}>): Promise<{requestBodyName}[ResponseContentType]> {
 *
 * }
 */
export declare const create: (factory: Factory.Type, params: CodeGeneratorParams, option: CodeGenerator.Option) => ts.MethodDeclaration;
