import ts from "typescript";
export interface Params {
    properties: ts.ObjectLiteralElementLike[];
    multiLine?: boolean;
}
export interface Factory {
    create: (params: Params) => ts.ObjectLiteralExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
