import ts from "typescript";
export interface Params$Create {
    expression: string | "this" | ts.Expression;
    name: string;
}
export interface Factory {
    create: (params: Params$Create) => ts.PropertyAccessExpression;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
