import ts from "typescript";
export interface Params {
    expression: ts.Expression;
    literal: ts.TemplateMiddle | ts.TemplateTail;
}
export interface Factory {
    create: (params: Params) => ts.TemplateSpan;
}
export declare const create: ({ factory }: ts.TransformationContext) => Factory["create"];
export declare const make: (context: ts.TransformationContext) => Factory;
