import * as path from "path";
import { Factory } from "../../../CodeGenerator";
import * as ConverterContext from "../ConverterContext";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
import { OpenApi } from "../types";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, name: string, response: OpenApi.Response, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateReferenceNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, nameWithStatusCode: string, responseReference: {
    name: string;
    path: string;
}, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
