import * as Converter from "./Converter";
export { Converter };
export interface Params {
    entryPoint: string;
    option?: {
        rewriteCodeAfterTypeDeclaration?: Converter.v3.CodeGenerator.RewriteCodeAfterTypeDeclaration;
        codeGenerator?: {
            /** default false */
            sync?: boolean;
        };
    };
    /** default: true */
    enableValidate?: boolean;
    log?: {
        validator?: {
            /**
             * default: undefined (all logs)
             * Number of lines displayed in the latest log
             */
            displayLogLines?: number;
        };
    };
    filter?: {
        allowOperationIds?: string[];
    };
}
export declare const generateTypeScriptCode: ({ entryPoint, option, enableValidate, log, filter }: Params) => string;
